<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Serif+Thai:wght@200&display=swap" rel="stylesheet">
</head>
<body style="padding: 5px 10px; font-family: 'Noto Serif Thai', serif; font-size: 14px;">

เรียน {{.SENT}} 
<br>
<br>
ขออนุมัติจ่ายเงิน (PAYMENT REQUEST) เลขที่ {{.DOCUMENT_CODE}} สร้างโดย : {{.CREATE_BY}} แผนก : {{.SECTION_NAME}} โครงการ : {{.PROJECT_NAME}}
<br>
<br>
<table style="width: 800px; border: 1px solid #ddd; border-collapse: collapse;">
    <tr>
        <td style="width: 120px; text-align: right; border: 1px solid #ddd;" >เล่ม</td>
        <td style="width: 100px; border: 1px solid #ddd;" >{{.BOOK_CODE}}</td>
        <td style="width: 80px; text-align: right; border: 1px solid #ddd;" >เลขที่</td>
        <td style="width: 100px; border: 1px solid #ddd;" >{{.DOCUMENT_CODE}}</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;" >เลขที่อ้างอิง</td>
        <td style="width: 100px; border: 1px solid #ddd;" >{{.REF_NO}}</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;" >วันที่</td>
        <td style="width: 100px; border: 1px solid #ddd;" >{{.DOCUMENT_DATE}}</td>
    </tr>
    <tr>
        <td style="text-align: right; border: 1px solid #ddd;" >ผู้ขาย รหัส</td>
        <td style="text-align: left; border: 1px solid #ddd;" colspan="2">{{.SUPP_CODE}}</td>
        <td style="text-align: right; border: 1px solid #ddd;">ผู้ขาย รหัส</td>
        <td style="text-align: left; border: 1px solid #ddd;" colspan="4">{{.SUPP_NAME}}</td>
    </tr>
</table>
<br>
<table style="width: 950px;  border: 1px solid #ddd; border-collapse: collapse;">
    <tr>
        <td style="width: 50px; text-align: center; border: 1px solid #ddd;">No</td>
        <td style="width: 50px; text-align: left; border: 1px solid #ddd;"></td>
        <td style="width: 50px; text-align: left; border: 1px solid #ddd;">เล่ม</td>
        <td style="width: 100px; text-align: left; border: 1px solid #ddd;">เลขที่</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">เลขที่อ้างอิง</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">ครบกำหนด</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">จำนวนเงิน</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">ยอดชำระ</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">Vat(%)</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">ยอด Vat ชำระ</td>
    </tr>
    
    {{range $i, $val := .ITEMS}}
        <tr>
            <td style="border: 1px solid #ddd;">{{$val.NO}}</td>
            <td style="border: 1px solid #ddd;">{{$val.FCREFTYPE}}</td>
            <td style="border: 1px solid #ddd;">{{$val.BOOK_CODE}}</td>
            <td style="text-align: left; border: 1px solid #ddd;">{{$val.GLREF_CODE}}</td>
            <td style="text-align: left; border: 1px solid #ddd;">{{$val.GLREF_REFNO}}</td>
            <td style="text-align: center; border: 1px solid #ddd;">{{$val.GLREF_DUEDATE}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.AMT}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.PAYAMT}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.FNVATAMTKE}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.FNAMT}}</td>
        </tr>
    {{end}}
</table>
<br>
<table style="width: 600px; margin-left: 350px; border: 1px solid #ddd; border-collapse: collapse;">
    <tr>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">ยอดก่อนVat</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">{{.FNAMT}}</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">มูลค่าVat</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">{{.FNVATAMT}}</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">ยอดตัดชำระ</td>
        <td style="width: 100px; text-align: right; border: 1px solid #ddd;">{{.TOTAL}}</td>
    </tr>
</table>
<br>
<br>
<table style="width: 400px; border: 1px solid #ddd; border-collapse: collapse;">
    <tr><td style="width: 150px; border: 1px solid #ddd;">วันที่/เอกสาร/บัตรเครดิต DUE : {{.PAY_DATE}}</td></tr>
    <tr><td style="width: 150px; border: 1px solid #ddd;">{{.PAY_CODE}} : {{.PAY_NAME}}</td></tr>
    <tr>
        <table style="width: 400px; border: 1px solid #ddd; border-collapse: collapse;">
            <tr>
                <td style="width: 150px; text-align: right; border: 1px solid #ddd;">ผู้รับ/จ่าย (ไทย)</td>
                <td style="width: 250px; border: 1px solid #ddd;">{{.FCPAYRECV2}}</td>
            </tr>
            <tr>
                <td style="width: 150px; text-align: right; border: 1px solid #ddd;">รหัสธนาคารของเช็ค</td>
                <td style="width: 250px; border: 1px solid #ddd;">{{.BANK_CODE}} {{.BANK_NAME}}</td>
            </tr>
            <tr>
                <td style="width: 150px; text-align: right; border: 1px solid #ddd;">มูลค่า</td>
                <td style="width: 250px; border: 1px solid #ddd;">{{.CHQ_AMT}}</td>
            </tr>
        </table>
    </tr>
</table>
<br>
<br>
<a href="{{.APPROVE_LINK}}"><button class="button success" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #04AA6D;" >อนุมัติ</button></a> 
<a href="{{.REJECRT_LINK}}"><button class="button danger" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #f44336;" >ไม่อนุมัติ</button></a> 
<a href="{{.INFORMATION_LINK}}"><button class="button info" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #008CBA;" >รายละเอียดเพิ่มเติม</button></a>
<br>
<br>
{{if .IS_INFORMATION}}
    รายละเอียดเพิ่มเติม<br>
    {{range $i, $val := .INFORMATION_DATA}}
        {{if eq $val.INFORMATION_TYPE "Q"}}
            <b>คำถาม</b>&nbsp;&nbsp;{{$val.MESSAGE}}<br>
        {{end}}

        {{if eq $val.INFORMATION_TYPE "A"}}
            <b>คำตอบ</b>&nbsp;&nbsp;{{$val.MESSAGE}}<br>
        {{end}}
        <br>
    {{end}}
{{end}}
</body>
</html>